import request from '@/router/axios';

export const getList = (current, size, params) => {
  return request({
    url: '/api/bank/checklist/page',
    method: 'get',
    params: {
      ...params,
      current,
      size,
    }
  })
}

export const getDownloadList = (params) => {
  return request({
    url: '/api/bank/checklist/getList',
    method: 'get',
    params: {
      ...params,
    }
  })
}

export const getDetail = (id) => {
  return request({
    url: '/api/bank/checklist/detail',
    method: 'get',
    params: {
      id
    }
  })
}

export const remove = (ids) => {
  return request({
    url: '/api/bank/checklist/remove',
    method: 'post',
    params: {
      ids,
    }
  })
}

export const add = (row) => {
  return request({
    url: '/api/bank/checklist/submit',
    method: 'post',
    data: row
  })
}

export const update = (row) => {
  return request({
    url: '/api/bank/checklist/submit',
    method: 'post',
    data: row
  })
}

